## dbus-cpp 4.3.0+15.04.20150415

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,7 +62,7 @@
 ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
 
 set(DBUS_CPP_VERSION_MAJOR 4)
-set(DBUS_CPP_VERSION_MINOR 0)
+set(DBUS_CPP_VERSION_MINOR 3) 
 set(DBUS_CPP_VERSION_PATCH 0)
 
 include(CTest)
