## dbus-cpp 5.0.0+15.10.20151022.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,8 +61,8 @@
   SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
 ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
 
-set(DBUS_CPP_VERSION_MAJOR 4)
-set(DBUS_CPP_VERSION_MINOR 3) 
+set(DBUS_CPP_VERSION_MAJOR 5)
+set(DBUS_CPP_VERSION_MINOR 0) 
 set(DBUS_CPP_VERSION_PATCH 0)
 
 include(CTest)
