=== debian/changelog ===
dbus-cpp (5.0.0+18.04.20171031-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #887960)

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Jan 2018 15:52:44 +1100

dbus-cpp (5.0.0+18.04.20171031-0ubuntu1) bionic; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Fix FTBFS on bionic by switching to use cmake-extras and not
    enforcing -pedantic anymore as current gtest macros do not follow
    strict standards anymore.

 -- Łukasz Zemczak <lukasz.zemczak@canonical.com>  Tue, 31 Oct 2017 19:11:23 +0000

dbus-cpp (5.0.0+16.10.20160809-0ubuntu1) yakkety; urgency=medium

  * Fix signal emission on dbus::ServiceWatcher.

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 09 Aug 2016 07:31:30 +0000

dbus-cpp (5.0.0+15.10.20151021.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * No-change rebuild.

 -- Thomas Voß <ci-train-bot@canonical.com>  Wed, 21 Oct 2015 08:00:51 +0000

dbus-cpp (5.0.0-0ubuntu3) wily; urgency=medium

  * Bump revision as the archive has 5.0.0-0ubuntu2

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 20 Oct 2015 17:03:52 +0200

dbus-cpp (5.0.0) wily; urgency=medium

  * Bump major revision to account for toolchain update. Fixes LP:#1452322

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 21 Jul 2015 12:36:46 +0200

dbus-cpp (4.3.0+15.04.20160114.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * debian/libdbus-cpp4.symbols.32bit: update to released version.
  * debian/libdbus-cpp4.symbols.64bit: update to released version.

  [ Thomas Voß ]
  * Add a proper operator<< for dbus::Message::Type. (LP: #1524131)

 -- Thomas Voß <ci-train-bot@canonical.com>  Thu, 14 Jan 2016 21:51:19 +0000

dbus-cpp (4.3.0+15.04.20160112-0ubuntu1) vivid; urgency=medium

  * Only run dbus_shutdown if explicitly requested by env var. (LP:
    #1422304, #1526877)

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 12 Jan 2016 16:28:02 +0000

dbus-cpp (4.3.0+15.04.20151126-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Thomas Voß ]
  * Ensure that Signal with non-void argument types correctly narrow
    their match rules. (LP: #1480877)

 -- Thomas Voß <ci-train-bot@canonical.com>  Thu, 26 Nov 2015 07:31:37 +0000

dbus-cpp (4.3.0+15.04.20151023-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Thomas Voß ]
  * Do not cache emitted values for stub signals. (LP: #1509285)

 -- Jim Hodapp <ci-train-bot@canonical.com>  Fri, 23 Oct 2015 10:01:27 +0000

dbus-cpp (4.3.0+15.04.20151020-0ubuntu1) vivid; urgency=medium

  [ Manuel de la Pena ]
  * Ensure that the signals are correctly emitted for when the services
    appear and go.

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 20 Oct 2015 10:55:11 +0000

dbus-cpp (4.3.0+15.04.20150505-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * debian/libdbus-cpp4.symbols.32bit: update to released version.
  * debian/libdbus-cpp4.symbols.64bit: update to released version.

  [ Thomas Voß ]
  * core::dbus::Fixture: Provide access to the address of the spawned
    session/system bus instances.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 05 May 2015 08:24:49 +0000

dbus-cpp (4.3.0+15.04.20150415-0ubuntu1) vivid; urgency=medium

  [ Thomas Voß ]
  * DBus daemon lives in /usr/bin now.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 15 Apr 2015 09:51:18 +0000

dbus-cpp (4.3.0+15.04.20150123-0ubuntu1) vivid; urgency=low

  [ thomas-voss ]
  * We ref on construction, so decrement the ref count by 1 to 1 prior
    to returning. (LP: #1396985)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 09:56:06 +0000

dbus-cpp (4.3.0+15.04.20141110-0ubuntu1) vivid; urgency=medium

  [ Thomas Voss ]
  * Ensure Signal<void>::~Signal is exception safe.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 12:31:09 +0000

dbus-cpp (4.2.0+15.04.20141105-0ubuntu1) vivid; urgency=medium

  [ Thomas Voss ]
  * Make core::dbus::Signal::~Signal respect the noexcept guarantee.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 07:51:06 +0000

dbus-cpp (4.1.0+15.04.20141104-0ubuntu1) vivid; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Nov 2014 04:23:34 +0000

dbus-cpp (4.1.0+14.10.20141031~rtm-0ubuntu1) 14.09; urgency=low

  [ thomas-voss ]
  * Relax timeout on org.freedesktop.Properties::{GetAll, Get, Set}.
    with timeout set to 30 sec (LP: #1361642)

  [ Kevin Gunn ]
  * Relax timeout on org.freedesktop.Properties::{GetAll, Get, Set}.
    with timeout set to 30 sec (LP: #1361642)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Oct 2014 07:51:25 +0000

dbus-cpp (4.1.0+14.10.20141030~rtm-0ubuntu1) 14.09; urgency=medium

  [ Thomas Voss ]
  * Ensure that dead objects are correctly cleaning up their connections to the signal router.
  * Robustify against dangling objects.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Oct 2014 14:01:09 +0000

dbus-cpp (4.0.0+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Fix another race when setting up a pending call notification on
    another thread than the one driving the event loop. Introduce an
    option to enable sanitizers.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 15:55:53 +0000

dbus-cpp (4.0.0+14.10.20141002.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Always unref pending calls, add load test to ensure correct
    behavior. Make sure that timeouts are never notified after
    destruction. (LP: #1367836)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 Oct 2014 20:49:03 +0000

dbus-cpp (4.0.0+14.10.20140917-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Factor out dbus-specific environment variable names into compile-
    time constants. Make sure that environment variables are unset prior
    to setting.


