=== debian/changelog ===
dbus-cpp (5.0.1-4) unstable; urgency=medium

  * debian/libdbus-cpp5.symbols:
    + Work in required changes for armel armhf i386 m68k mipsel x32.
  * debian/patches/1003_increase-asyncexec-test-timeout.patch:
    + Re-think patch. Now really set the max allowed test duration to 10min.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2020 21:02:31 +0100

dbus-cpp (5.0.1-3) unstable; urgency=medium

  * debian/control:
    + Fix typo in Vcs-Browser: field's URL. Spotted and reported by Boyuan
      Yang. (Closes: #951019).
    + Limit builds to linux-any architectures, only.
    + Add B-D pkg-kde-tools.
  * debian/rules:
    + Run DH --with pkgkde_symbolshelper.
  * debian/patches:
    + Drop 2001_increase-test-timeouts-for-Debian-buildds.patch. Red herring.
    + Add debian/patches/0003_increase-asyncexec-test-timeout.patch. Now
      (hopefully) really increase async execution test's timeout.
  * debian/libdbus-cpp5.symbols:
    + Add file (using pkg-kde-tools).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2020 14:04:16 +0100

dbus-cpp (5.0.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 2001_increase-test-timeouts-for-Debian-buildds.patch. Increase reply
      timeout value for unit tests from 300s to 900s. If this works out, we will
      consider disabling the async_execution_load_test on affected architectures
      (at least armel, mipsel, ia64, powerpc, ppc64). (Closes: #888995).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jan 2020 16:33:04 +0100

dbus-cpp (5.0.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/rules:
    + Add get-orig-source target.
  * debian/copyright:
    + Update copyright attributions.
  * debian/{control,copyright}:
    +Switch to UBports as upstream.
  * debian/control:
    + Adopt package. Move over to Debian UBports Team. (Closes: #904426).
    + Update Vcs-*: fields accordingly.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/gbp.conf:
    + Use gbp's defaults.
  * debian/watch:
    + Add file.
  * debian/patches/:
    + Add README explaining our patch naming scheme.
    + Add dont-build-with-werror.patch. Don't build with -Werror. Avoid FTBFS
      for deprecations. (Closes: #949044).
    + Add 0001_explicitly-declare-copy-constructor.patch. Thanks to Luca Weiss
      for working on the patch. Fixes FTBFS against GCC-9.
    + Add 0002_fix-build-with-boost-1.66.0-and-above.patch. Fix FTBFS against
      Boost >= 1.66. Thanks to Luca Weiss for working on the patch.

  [ Helmut Grohne ]
  * debian/rules:
    + Improve cross-building, don't override compilers. (Closes: #940694).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Jan 2020 08:51:55 +0100

dbus-cpp (5.0.0+18.04.20171031-2) unstable; urgency=medium

  * Orphan package.
  * Add some autopkgtests.
  * Update Vcs-* headers to point to new repo location on salsa.debian.org.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Jul 2018 16:27:30 +0800
