=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: dbus-cpp
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
                cmake-extras,
                dbus,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                doxygen,
                google-mock,
                libboost-filesystem-dev,
@@ -16,14 +18,16 @@
                libproperties-cpp-dev,
                libxml2-dev,
                lsb-release,
-Standards-Version: 4.1.3
+               pkg-kde-tools,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
-Homepage: http://launchpad.net/dbus-cpp
-Vcs-Git: https://github.com/lamby/pkg-dbus-cpp
-Vcs-Browser: https://github.com/lamby/pkg-dbus-cpp
+Homepage: https://gitlab.com/ubports/code/lib-cpp/dbus-cpp
+Vcs-Git: https://salsa.debian.org/ubports-team/dbus-cpp.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/dbus-cpp
 
 Package: libdbus-cpp5
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -34,7 +38,7 @@
 
 Package: dbus-cpp-bin
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -49,7 +53,7 @@
 
 Package: libdbus-cpp-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -66,7 +70,7 @@
 
 Package: dbus-cpp-dev-examples
 Section: x11
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
