=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,14 @@
 PATCH = $(shell echo $(VERSION) | cut -d. -f3)
 
 %:
-	dh $@
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-cpp \
-		-DCMAKE_C_COMPILER=$(CC) \
-		-DCMAKE_CXX_COMPILER=$(CXX) \
 		-DDBUS_CPP_VERSION_MAJOR=$(MAJOR) \
 		-DDBUS_CPP_VERSION_MINOR=$(MINOR) \
 		-DDBUS_CPP_VERSION_PATCH=$(PATCH)
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..
