=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lib-cpp/dbus-cpp/tags .*/dbus-cpp-(\d\S+)\.tar\.gz
